{
  "name": "@kiwi-al/visualizer",
  "version": "0.0.1",
  "type": "module",
  "description": "",
  "author": "André Selmanagic <andre.selmanagic@htw-berlin.de>",
  "license": "MIT",
  "scripts": {
    "start": "vite",
    "build": "vite build",
    "build-and-preview": "vite build && vite preview",
    "dev": "vite",
    "lint": "eslint ./src/**/*.{cjs,js,jsx,ts,tsx}",
    "test": "node --experimental-vm-modules ../../../node_modules/jest/bin/jest.js --config ./test/jest.config.js",
    "typecheck": "tsc -b --emitDeclarationOnly",
    "watch:typecheck": "tsc --noEmit --watch"
  },
  "dependencies": {
    "@adlete-vle/lr-core": "*",
    "@adlete-vle/lr-core-components": "*",
    "@adlete-vle/utils": "*",
    "@adlete-vle/vle-core": "*",
    "@adlete/engine-blocks": "0.0.2-beta",
    "@adlete/visualizer-core": "*",
    "@fki/editor-core": "*",
    "@fki/plugin-system": "*",
    "@kiwi-al/lr-naive-bayes": "*",
    "@kiwi-al/math-core": "*",
    "@kiwi-al/math-core-components": "*",
    "@mui/icons-material": "5.10.16",
    "dotenv": "*",
    "typeface-roboto": "1.1.13"
  },
  "devDependencies": {
    "@adlete/dev-config": "*",
    "@vitejs/plugin-react": "4.0.3",
    "rollup-plugin-visualizer": "5.8.3",
    "typescript": "5.3.3",
    "vite": "4.4.3"
  },
  "peerDependencies": {
    "react": "18.2.0",
    "react-dom": "18.2.0"
  },
  "prettier": "@adlete/dev-config/prettier"
}
